// export default {
//     input: 'electron/build/electron/src/index.js',
//     output: [
//       {
//         file: 'electron/dist/plugin.js',
//         format: 'cjs',
//         sourcemap: true,
//         inlineDynamicImports: true,
//       },
//     ],
//     external: ['@capacitor/core'],
//   };

import commonjs from '@rollup/plugin-commonjs';
import nodeResolve from '@rollup/plugin-node-resolve';

export default {
  input: 'electron/build/electron/src/index.js',
  output: [
    {
      file: 'electron/dist/plugin.js',
      format: 'cjs',
      sourcemap: true,
      inlineDynamicImports: true,
      exports: 'named',
    },
  ],
  external: [
    '@capacitor/core',
    'electron',
    'path',
    'fs',
    'os',
    'node-fetch',
    'sqlite-electron'
  ],
  plugins: [
    nodeResolve(),
    commonjs({
      ignoreDynamicRequires: true,
      dynamicRequireTargets: [
        'node_modules/abbas-capacitor-electron-sqlite/electron/dist/plugin.js',
      ],
    }),
  ],
};